#
# spec file for package abiword-docs
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           abiword-docs
Version:        3.0.1
Release:        1.1
Summary:        A Multiplatform Word Processor - Documentation
License:        GPL-2.0
Group:          Productivity/Office/Word Processor
Url:            http://www.abisource.com/
Source0:        http://abisource.com/downloads/abiword/latest/source/%{name}-%{version}.tar.gz
BuildRequires:  abiword
BuildRequires:  fdupes
BuildRequires:  ghostscript-fonts-std
BuildRequires:  libabiword-3_0-devel
Requires:       abiword
Supplements:    abiword
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
AbiWord is a multiplatform word processor with a GTK+ interface on the
UNIX platform. For extended functionality and integration, this version
is compiled with GNOME support. Abiword with the GNOME front-end is
part of the GNOME Office Suite.

%prep
%setup -q

%build
export XDG_RUNTIME_DIR=/tmp
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
%fdupes %{buildroot}

%files
%defattr(-, root, root)
%doc %{_datadir}/abiword-3.0/help/

%changelog
* Wed Jan 28 2015 dimstar@opensuse.org
- Update to version 3.0.1:
  + Documentation updated for abiword 3.0.1.
* Tue Jul 22 2014 fstrba@suse.com
- Fix build breakages on openSUSE:Factory
  * Gdk-ERROR **: error: XDG_RUNTIME_DIR not set in the environment
  * working around by "export XDG_RUNTIME_DIR=/tmp"
* Wed May 28 2014 fstrba@suse.com
- Upgrade to upstream version 3.0.0
  * rebuild against libabiword-3_0-devel
  * correspond to abiword 3.0.0
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Aug 10 2011 dimstar@opensuse.org
- Add ghostscript-fonts-std BuildRequires. We need a good font set
  to have useful results from the conversation.
* Tue Jul 27 2010 andrea@opensuse.org
- Update to version 2.8.6:
  + documentation updated for abiword 2.8.6.
* Sun Feb 14 2010 vuntz@opensuse.org
- Update to version 2.8.2:
  + documentation updated for abiword 2.8.2.
* Sat Dec  5 2009 vuntz@opensuse.org
- Initial package; it used to live inside the abiword package.
